AMPXF - AMP for Xenforo 2

AMPXF - AMP for Xenforo 2 1.4.7 Beta 3

No permission to buy (€50.00)
  • Revert a part of 1.4.7 Beta 2 that allowed other addons to render invalid LD+JSON data in the AMP pages even when the ampEnableJSONLD-option is disabled (which it is by default)
  • Fix bug where article forum listing would include ld+json-info which creates warnings in Google Search Console
  • Fix a bug when removing inline style that could break AMP validity.
  • Prevent s9e Media Sites from replacing <iframe> with JS magics that won't work for AMP pages..
  • Like
Reactions: Sunka and Mike Fara
  • Added extra sanity check for error thrown on a forum
  • Fix URL checker to not mark URLs as "broken" on canonical page when setting for it was enabled.
  • Show "login/register to reply"-button when "Writing before registering" is enabled
This release is only needed if you are running XF 2.2.7 and seeing an error such as this in your admin error logs:
ErrorException: Template error: [E_WARNING] include(): ....

Suppresses the error that is wrongly raised by isKnownTemplate in XF 2.2.7, related error report:
  • Improve CSS minification be more efficient
  • Don't show "broken link" inside admin when the advanced option for broken link checks is enabled.
  • Fix for XFMG media slider widget to render correctly on AMP pages
  • Style compatibility fix to work with XF 2.2.7, thanks @Masetrix for reporting this so quickly :) 👍
Top